package com.sunxung.factoring.entity.financing.contract;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.FileStorageDO;

import java.util.List;

/**
 * @description:法务终审
 * @author:吴端丽
 * @e-mail:1912942707@qq.com
 * @date:2018年8月16日 下午4:04:58
 */
@TableName("contract_legal_final_approval")
public class ContractLegalFinalApproval extends BaseEntity {

    private Long contractInfoId;

    /**
     * 处理人
     **/
    private Long assigneeId;
    /**
     * 是否显示
     **/
    private Boolean visible;
    /**
     * 审批结论
     **/
    private String conclusion;
    /**
     * 审批意见
     **/
    private String suggestion;

    /**
     * 任务Id
     */
    @TableField(exist = false)
    private String taskId;

    /**
     * 电子签合同文件
     */
    @TableField(exist = false)
    private List<FileStorageDO> fileStorageList;

    public Long getContractInfoId() {
        return contractInfoId;
    }

    public void setContractInfoId(Long contractInfoId) {
        this.contractInfoId = contractInfoId;
    }

    public Long getAssigneeId() {
        return assigneeId;
    }

    public void setAssigneeId(Long assigneeId) {
        this.assigneeId = assigneeId;
    }

    public Boolean getVisible() {
        return visible;
    }

    public void setVisible(Boolean visible) {
        this.visible = visible;
    }

    public String getConclusion() {
        return conclusion;
    }

    public void setConclusion(String conclusion) {
        this.conclusion = conclusion;
    }

    public String getSuggestion() {
        return suggestion;
    }

    public void setSuggestion(String suggestion) {
        this.suggestion = suggestion;
    }

    public List<FileStorageDO> getFileStorageList() {
        return fileStorageList;
    }

    public void setFileStorageList(List<FileStorageDO> fileStorageList) {
        this.fileStorageList = fileStorageList;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }
}
